# JSXGraph 1.7.0 Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

Elements

Classes

- _global_
- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Boxplot
- Button
- Cardinalspline
- Chart
- Checkbox
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- CircumcircleSector
- Comb
- Conic
- Curve
- Curve3D
- CurveDifference
- CurveIntersection
- CurveUnion
- Derivative
- Ellipse
- ForeignObject
- Functiongraph
- Functiongraph3D
- Glider
- Grid
- Group
- Hatch
- Hyperbola
- Image
- ImplicitCurve
- Incenter
- Incircle
- Inequality
- Input
- Integral
- Intersection
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.Board.infobox
- JXG.C
- JXG.CA
- JXG.CanvasRenderer
- JXG.Chart
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.CoordsElement
- JXG.Curve
- JXG.Curve3D
- JXG.Dump
- JXG.EventEmitter
- JXG.Expect
- JXG.ForeignObject
- JXG.GeometryElement
- JXG.GeometryElement3D
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Legend
- JXG.Line
- JXG.Line3D
- JXG.Math
- JXG.Math.BoxQuadtree
- JXG.Math.Clip
- JXG.Math.Extrapolate
- JXG.Math.Geometry
- JXG.Math.ImplicitPlot
- JXG.Math.IntervalArithmetic
- JXG.Math.Metapost
- JXG.Math.Nlp
- JXG.Math.Numerics
- JXG.Math.Plot
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.ProbFuncs
- JXG.Math.Quadtree
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.NoRenderer
- JXG.Options
- JXG.Plane3D
- JXG.Point
- JXG.Point3D
- JXG.Polygon
- JXG.PrefixParser
- JXG.Server
- JXG.Server.modules
- JXG.Surface3D
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Transformation
- JXG.Turtle
- JXG.Util
- JXG.Util.Base64
- JXG.Util.Unzip
- JXG.Util.UTF8
- JXG.View3D
- JXG.VMLRenderer
- JXG.XML
- Label
- Legend
- Line
- Line3D
- Locus
- MajorArc
- MajorSector
- Measurement
- Metapostspline
- Midpoint
- MinorArc
- MinorSector
- mirrorelement
- Mirrorpoint
- NonReflexAngle
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelogram
- Parallelpoint
- ParametricSurface3D
- Perpendicular
- PerpendicularPoint
- PerpendicularSegment
- Point
- Point3D
- PolarLine
- PolePoint
- Polygon
- PolygonalChain
- RadicalAxis
- Reflection
- ReflexAngle
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Slopefield
- Slopetriangle
- Smartlabel
- Spline
- Stepfunction
- Tangent
- Tapemeasure
- Text
- Ticks
- Tracecurve
- Transformation
- Turtle
- Vectorfield
- Vectorfield3D
- View3D

# Namespace JXG.Math.Metapost

↳ JXG.Math.Metapost

Defined in: metapost.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Math.Metapost The JXG.Math.Metapost namespace holds algorithms translated from Metapost by D.E.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | JXG.Math.Metapost.curve(point_list, controls)
<private> <static> | JXG.Math.Metapost.make_choices(knots)
<private> <static> | JXG.Math.Metapost.makeknots(p, tension, cycle)
<private> <static> | JXG.Math.Metapost.mp_ab_vs_cd(a, b, c, d)
<private> <static> | JXG.Math.Metapost.mp_curl_ratio(gamma, a_tension, b_tension)
<private> <static> | JXG.Math.Metapost.mp_n_sin_cos(z)
<private> <static> | JXG.Math.Metapost.mp_pyth_add(a, b)
<private> <static> | JXG.Math.Metapost.mp_set_controls(p, q, delta_x, delta_y, st, ct, sf, cf)
<private> <static> | JXG.Math.Metapost.mp_solve_choices(p, q, n, delta_x, delta_y, delta, psi) Implements solve_choices form metapost MP 305
<private> <static> | JXG.Math.Metapost.mp_velocity(st, ct, sf, cf, t)
<private> <static> | JXG.Math.Metapost.reduce_angle(A)

Namespace Detail
JXG.Math.Metapost
The JXG.Math.Metapost namespace holds algorithms translated from Metapost by D.E. Knuth and J.D. Hobby.
Method Detail
<static> {Array} JXG.Math.Metapost.curve(point_list, controls)

Parameters:
{Array} point_list
{Object} controls

Returns:
  {Array}

<private> <static> JXG.Math.Metapost.make_choices(knots)

Parameters:
knots

<private> <static> JXG.Math.Metapost.makeknots(p, tension, cycle)

Parameters:
{Array} p
{Number} tension
{Boolean} cycle

<private> <static> JXG.Math.Metapost.mp_ab_vs_cd(a, b, c, d)

Parameters:
a
b
c
d

<private> <static> JXG.Math.Metapost.mp_curl_ratio(gamma, a_tension, b_tension)

Parameters:
gamma
a_tension
b_tension

<private> <static> JXG.Math.Metapost.mp_n_sin_cos(z)

Parameters:
z

<private> <static> JXG.Math.Metapost.mp_pyth_add(a, b)

Parameters:
a
b

<private> <static> JXG.Math.Metapost.mp_set_controls(p, q, delta_x, delta_y, st, ct, sf, cf)

Parameters:
p
q
delta_x
delta_y
st
ct
sf
cf

<private> <static> JXG.Math.Metapost.mp_solve_choices(p, q, n, delta_x, delta_y, delta, psi)
Implements solve_choices form metapost MP 305

Parameters:
p
q
n
delta_x
delta_y
delta
psi

<private> <static> JXG.Math.Metapost.mp_velocity(st, ct, sf, cf, t)

Parameters:
st
ct
sf
cf
t

<private> <static> JXG.Math.Metapost.reduce_angle(A)

Parameters:
{Number} A

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Feb 15 2024 17:48:02 GMT+0000 (Coordinated Universal Time)